Package org.apache.datasketches.hive.theta

## Class UnionEvaluator

- java.lang.Object
- - org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator
  - - org.apache.datasketches.hive.theta.UnionEvaluator

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Direct Known Subclasses:
  `DataToSketchUDAF.DataToSketchEvaluator`, `UnionSketchUDAF.UnionSketchUDAFEvaluator`

    public abstract class UnionEvaluator
    extends org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

Common code for DataToSketchUDAF and UnionSketchUDAF

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AbstractAggregationBuffer, org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer, org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationType, org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.Mode`

### Field Summary

Fields
`protected org.apache.hadoop.hive.serde2.objectinspector.PrimitiveObjectInspector` `inputObjectInspector`
`protected org.apache.hadoop.hive.serde2.objectinspector.StructObjectInspector` `intermediateObjectInspector`
`protected static String` `NOMINAL_ENTRIES_FIELD`
`protected org.apache.hadoop.hive.serde2.objectinspector.PrimitiveObjectInspector` `nominalEntriesObjectInspector`
`protected static String` `SEED_FIELD`
`protected org.apache.hadoop.hive.serde2.objectinspector.PrimitiveObjectInspector` `seedObjectInspector`
`protected static String` `SKETCH_FIELD`

### Fields inherited from class org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

`partitionEvaluator`

### Constructor Summary

Constructors
`UnionEvaluator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer` `getNewAggregationBuffer()`
`void` `merge​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer agg, Object partial)`
`void` `reset​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer agg)`
`Object` `terminate​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer agg)`
`Object` `terminatePartial​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer agg)`

### Methods inherited from class org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

`aggregate, close, configure, createPartitionEvaluator, estimate, evaluate, getExprString, getPartitionWindowingEvaluator, getWindowingEvaluator, init, isEstimable, iterate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NOMINAL_ENTRIES_FIELD

    protected static final String NOMINAL_ENTRIES_FIELD

See Also:
  Constant Field Values

#### SEED_FIELD

    protected static final String SEED_FIELD

See Also:
  Constant Field Values

#### SKETCH_FIELD

    protected static final String SKETCH_FIELD

See Also:
  Constant Field Values

#### inputObjectInspector

    protected transient org.apache.hadoop.hive.serde2.objectinspector.PrimitiveObjectInspector inputObjectInspector

#### nominalEntriesObjectInspector

    protected transient org.apache.hadoop.hive.serde2.objectinspector.PrimitiveObjectInspector nominalEntriesObjectInspector

#### seedObjectInspector

    protected transient org.apache.hadoop.hive.serde2.objectinspector.PrimitiveObjectInspector seedObjectInspector

#### intermediateObjectInspector

    protected transient org.apache.hadoop.hive.serde2.objectinspector.StructObjectInspector intermediateObjectInspector

### Constructor Detail

#### UnionEvaluator

    public UnionEvaluator()

### Method Detail

#### terminatePartial

    public Object terminatePartial​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer agg)
                            throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `terminatePartial` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### merge

    public void merge​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer agg,
                      Object partial)
               throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `merge` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### terminate

    public Object terminate​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer agg)
                     throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `terminate` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### reset

    public void reset​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer agg)
               throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `reset` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### getNewAggregationBuffer

    public org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer getNewAggregationBuffer()
                                                                                                         throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `getNewAggregationBuffer` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`
See Also:
  `GenericUDAFEvaluator.getNewAggregationBuffer()`